/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-04-29 14:08:19 UTC)
 * on 2013-05-01 at 03:02:33 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.urlshortener.model;

/**
 * Model definition for StringCount.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the URL Shortener API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class StringCount extends com.google.api.client.json.GenericJson {

  /**
   * Number of clicks for this top entry, e.g. for this particular country or browser.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @com.google.api.client.json.JsonString
  private java.lang.Long count;

  /**
   * Label assigned to this top entry, e.g. "US" or "Chrome".
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String id;

  /**
   * Number of clicks for this top entry, e.g. for this particular country or browser.
   * @return value or {@code null} for none
   */
  public java.lang.Long getCount() {
    return count;
  }

  /**
   * Number of clicks for this top entry, e.g. for this particular country or browser.
   * @param count count or {@code null} for none
   */
  public StringCount setCount(java.lang.Long count) {
    this.count = count;
    return this;
  }

  /**
   * Label assigned to this top entry, e.g. "US" or "Chrome".
   * @return value or {@code null} for none
   */
  public java.lang.String getId() {
    return id;
  }

  /**
   * Label assigned to this top entry, e.g. "US" or "Chrome".
   * @param id id or {@code null} for none
   */
  public StringCount setId(java.lang.String id) {
    this.id = id;
    return this;
  }

  @Override
  public StringCount set(String fieldName, Object value) {
    return (StringCount) super.set(fieldName, value);
  }

  @Override
  public StringCount clone() {
    return (StringCount) super.clone();
  }

}
